| Home | Libraries | People | FAQ | More

## Struct front

boost::xpressive::op::front

## Synopsis

    // In header: <boost/xpressive/regex_actions.hpp>

    struct front {
      // member classes/structs/unions
      template<typename Sig>
      struct result {
      };
      template<typename This, typename Sequence>
      struct result<This(Sequence)> {
        // types
        typedef mpl::if_c< is_const< sequence_type >::value, typename sequence_type::const_reference, typename sequence_type::reference >::type type;

        // public member functions
        typedef UNREF(Sequence);
      };

      // public data members
      result< front(Sequence &)>::type operator();
    };

## Description